
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>解决@ResponseBody注解返回中文乱码 / iVAN</title>

    <meta name="description" content="解决@ResponseBody注解返回中文乱码 昨天在做项目的时候用@ResponseBody注解,发现返回页面上的中文是乱码,解决过程也是让我很郁闷!!!特此记录一些.目前有下面几种解决方案: @RequestMapping的produces方法 第一种解决方案是使用@RequestMapping注解的produces方法.写法如下: @RequestMapping(value = &quot;testPersonalValidtor.do&quot;,produces = &quot;application/json;charset=ut ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">解决@ResponseBody注解返回中文乱码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>昨天在做项目的时候用@ResponseBody注解，发现返回页面上的中文是乱码，解决过程也是让我很郁闷！！！特此记录一些。目前有下面几种解决方案：</p>
<h2>@RequestMapping的produces方法</h2>
<p>第一种解决方案是使用@RequestMapping注解的produces方法。写法如下：</p>
<pre>@RequestMapping(value = "testPersonalValidtor.do",produces = "application/json;charset=utf-8")</pre>
<p>在方法上加上这个注解就可以了。但是这样写的话有限制，只能在特定的方法上面使用。如果需要全局都使用的话，需要修改SpringMVC的配置文件。</p>
<h2>使用messageConverters</h2>
<p>第二种解决办法是使用HttpMessageConverter接口的相关实现类。我们先看配置文件中的配置信息。</p>
<pre>	&lt;bean class="org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter" &gt;
		&lt;property name="messageConverters"&gt;
			&lt;list&gt;
				&lt;bean class="org.springframework.http.converter.json.MappingJacksonHttpMessageConverter" /&gt;
				&lt;bean class="org.springframework.http.converter.StringHttpMessageConverter"&gt;
					&lt;property name="supportedMediaTypes"&gt;
						&lt;list&gt;
							&lt;value&gt;text/plain;charset=utf-8&lt;/value&gt;
							&lt;value&gt;text/html;charset=UTF-8&lt;/value&gt;
						&lt;/list&gt;
					&lt;/property&gt;
				&lt;/bean&gt;
			&lt;/list&gt;
		&lt;/property&gt;
	&lt;/bean&gt;</pre>
<p>并且需要在Maven依赖中配置上Jackjson的依赖。</p>
<pre>		&lt;dependency&gt;
			&lt;groupId&gt;org.codehaus.jackson&lt;/groupId&gt;
			&lt;artifactId&gt;jackson-mapper-asl&lt;/artifactId&gt;
			&lt;version&gt;1.9.13&lt;/version&gt;
		&lt;/dependency&gt;
		&lt;dependency&gt;
			&lt;groupId&gt;org.codehaus.jackson&lt;/groupId&gt;
			&lt;artifactId&gt;jackson-core-asl&lt;/artifactId&gt;
			&lt;version&gt;1.9.13&lt;/version&gt;
		&lt;/dependency&gt;</pre>
<p>昨天让我郁闷的是，我这样配置了之后确依然是不生效。后来才发现是位置放的不对，需要把这段配置放到&lt;mvc:annotation-driven /&gt;的上面。真是很无语的感觉！！！</p>
<p><strong><em><u>注意：一定要放到&lt;mvc:annotation-driven /&gt;的上面，否则不会生效。</u></em></strong></p>
<h2>使用&lt;mvc:message-converters&gt;</h2>
<p>     还有一种方式是在SpringMVC的配置文件中的&lt;mvc:annotation-driven&gt;中加入&lt;mvc:message-converters&gt;的配置。具体配置内容如下：</p>
<pre>    &lt;!-- SpringMVC注解驱动 --&gt;
    &lt;mvc:annotation-driven&gt;
        &lt;mvc:message-converters&gt;
            &lt;bean class="org.springframework.http.converter.json.MappingJacksonHttpMessageConverter"/&gt;
            &lt;bean class="org.springframework.http.converter.StringHttpMessageConverter"&gt;
                &lt;property name="supportedMediaTypes"&gt;
                    &lt;list&gt;
                        &lt;value&gt;text/plain;charset=utf-8&lt;/value&gt;
                        &lt;value&gt;text/html;charset=UTF-8&lt;/value&gt;
                    &lt;/list&gt;
                &lt;/property&gt;
            &lt;/bean&gt;
        &lt;/mvc:message-converters&gt;
    &lt;/mvc:annotation-driven&gt;</pre>
<p><strong>注意：始用这种配置的时候，需要去掉RequestMappingHandlerMapping、RequestMappingHandlerAdapter或者DefaultAnnotationHandlerMapping、AnnotationMethodHandlerAdapter的Bean配置，要不然可能会不生效。</strong></p>
<p>另外：对于请求映射处理类返回类型可以是String也可以是Object（如果Object是JavaBean的话，SpringMVC会用Jackson来转换成json字符串）.例子如下：</p>
<pre>    @RequestMapping(value = "testPersonalValidtor.do")
    @ResponseBody
    //直接返回对象
    public Object testPersonalValidtor(@Valid PersonScope personScope, BindingResult bindingResult){
        if(bindingResult.hasErrors()){
            StringBuffer sb = new StringBuffer();
            for(ObjectError objectError : bindingResult.getAllErrors()){
                sb.append(((FieldError)objectError).getField() +" : ").append(objectError.getDefaultMessage());
            }
            return sb.toString();
        }else{
            return personScope;
        }
    }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:52:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/json/" title="json">json</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/bean/" title="bean">bean</a>, <a href="https://www.iamivan.net/tag/mvc/" title="mvc">mvc</a>, <a href="https://www.iamivan.net/tag/springmvc/" title="springmvc">springmvc</a>, <a href="https://www.iamivan.net/tag/charset/" title="charset">charset</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>解决@ResponseBody注解返回中文乱码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr7OVp.html" rel="bookmark">ajax返回中文乱码，servlet中的显示乱码，post提交的乱码问题，编码大总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|servlet|编码|问题|显示|中文|中文乱码 ajax返回中文乱码问题解决使用ajax获取服务器数据返回给客户端,出现中文乱码.在之前的一个ajax应用中指定codepage=936,将所有页面编码都指定为GB2312即可解决.这 次的应用中却无起作用了,经过多次的试验,客服端的编码应该绝对没有问题的.可以判断问题一定出在服务器端.稍微分析一下可知虽然服务器端指定了文件的编 码格式,但对于服务器输出流就成为了怀疑的对象.由于使用MS SQL2000,采用unicode编码,所以返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmdAdDM.html" rel="bookmark">解决javaWEB中前后台中文乱码问题的3种方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中文乱码问题真的是一个很棘手的问题,特别是从前台传到后台之后,都不知道问题出在哪里了.现在分享解决javaWEB中前后台中文乱码问题的3种方法.方法一:tomcat的自带编码是ISO-8859-1的格式,是不兼容中文的编码的.所以我们从后台接收的时候要注意. 采用相同的格式去接收(ISO-8859-1),然后用能解析的编码(utf-8)去转换.这样我们就能得到能兼容中文的格式了.这样处理之后发往前台.注意:发往前台的时候也需要设置一下resp.setContentType(&quot;text/html;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnOEOoz.html" rel="bookmark">utf-8-spring mvc json返回中文乱码 配置后依然不好使</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spring mvc json返回中文乱码 配置后依然不好使 &lt;context:annotation-config /&gt; &lt;context:component-scan base-package=&quot;may.web.action&quot;&gt;&lt;/context:component-scan&gt; &lt;bean class=&quot;org.springframework.web.servlet.mvc.annotation.AnnotationMet			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkm3aEb.html" rel="bookmark">解决linux下vim中文乱码的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Vim编码的详细介绍 Vim和所有的流行文本编辑器一样,Vim 可以很好的编辑各种字符编码的文件,这当然包括 UCS-2.UTF-8 等流行的 Unicode 编码方式. Vim 有四个跟字符编码方式有关的选项,encoding.fileencoding.fileencodings.termencoding (这些选项可能的取值请参考 Vim 在线帮助  :help encoding-names),它们的意义如下:     1.encoding: Vim 内部使用的字符编码方式,包括 Vim 的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPr74b.html" rel="bookmark">如何解决页面之间传输中文乱码的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何解决页面之间传输中文乱码的问题hbzxf(阿好)http://www.cnblogs.com/hbzxf 有的时候我们需要在页面之间传输中文,但是.NET模认在Webconfig中为我们建立的编码格式为utf-8,于是在传输中文的时候变成了乱码,相应的接受也会是乱码信息,如何解决这个问题,我们可以用两种方法. 更改Webconfig中的编码方式,如下:1.在你的web.config中把编码 &lt;globalization requestEncoding=&quot;utf-8&quot; resp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5258Rz.html" rel="bookmark">如何解决JQuery ajaxSubmit提交中文乱码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般人使用是 jQuery(form).ajaxSubmit({ url: &quot;ajaxsub.aspx?abc=test&quot;, type: &quot;post&quot;, dataType: &quot;json&quot;, success: data }); 分析:JQuery的AJAX提交,会将要提交的数据进行编码,使用encodeURIComponent在js中处理数据.因此,无论是 Firefox或者IE,提交的数据都是一致的,都是UTF-8编码后的数据. 查看Header			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM19V5M.html" rel="bookmark">AJAX返回中文乱码多种解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|解决|中文|中文乱码 用Ajax来GET回一个页面时,RESPONSETEXT里面的中文多半会出现乱码,这是因为xmlhttp在处理返回的responseText的时候,是把resposeBody按UTF-8编码进解码考形成的,如果服务器送出的确实是UTF-8的数据流的时候汉字会正确显示,而送出了GBK编码流的时候就乱了.解决的办法就是在送出的流里面加一个HEADER,指明送出的是什么编码流,这样XMLHTTP就不会乱搞了. PHP:header('Content-Type:text/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmVPap.html" rel="bookmark">解决springmvc&plus;mybatis&plus;mysql中文乱码问题&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日使用ajax请求springmvc后台查询mysql数据库,页面显示中文出现乱码 最初在mybatis配置如下 &lt;select id=&quot;queryContentById&quot; resultType = &quot;java.lang.String&quot; parameterType=&quot;String&quot; &gt; select text from News where id=#{o} &lt;/select&gt; 其中表News的text字段为blob类型			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boL8Q6M.html" rel="bookmark">快速解决FusionCharts联动的中文乱码问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题内容: 使用fusioncharts 时,也许你想在如demo.html 这个页面点击Chart的一个部分,然后显示这个部分的详细内容. fusioncharts有setDataXML,setDataURL 这两个方法是用来设置数据的.但是会有乱码问题(可能出现在AJAX情况),具体使用过的童鞋应该明白. 具体细节不详细说明了. 处理办法. 如果你Ajax请求的返回内容乱码,就直接使用Jquery.ajax. 复制代码 代码如下: function mychartclick(month) {			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvvjAM.html" rel="bookmark" class="title">现代Java Web开发架构分析</a>
					<div>
						web|架构 当主流计算机应用软件开始迁移到客户/服务器体系结构时,程序员们开始寻找方法以简化使用类似技术并且在结构也类似的工程的开发.这就为现代软件开发框架打好了基础. 随着基于万维网的应用程序服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjGQ8M.html" rel="bookmark" class="title">用户需求与设计师的理想设计&colon;如何把握用户需求</a>
					<div>
						文章描述:面向用户需求的产品设计. 著名的用户体验大师 Mark Husrt 在不久前的东西论坛 - 跨界与融合中讲了一个故事.1989 年夏天,南非的一位广告人 Trevor Field 在偶然的机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX18jz.html" rel="bookmark" class="title">淘宝搜索首页扶持关键词浅析（一）暴增的性价比流量</a>
					<div>
						技术贴算不上,不过很细心,提醒了很多没有或者极少关注这块的朋友--斑竹批语!! 在其他不少论坛发现了我的帖子,请大家尊重原著,转帖的时候请注明:转自派代 这是个技术贴 一个月前接手一家日耗5000女装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKG3Ob.html" rel="bookmark" class="title">聊天主题：如何用C&num;定制个性化的界面控件</a>
					<div>
						控件 聊天主题:如何用C#定制个性化的界面控件 主持人和专家介绍主持人:Guest_jswang_MS 微软专家: 韩定一(Guest_Danny_MS),赵彦(Guest_Francs_MS) Ho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOB1vp.html" rel="bookmark" class="title">在windows server 2003系统防火墙上开放Oracle服务端口 连接1521 TNS超时</a>
					<div>
						要使Oracle客户端能正常连接到设置有防火墙的Oracle服务器,单开放一个1521或自定义的监听端口是不够的. 服务器装成Windows2003了,并开放了系统自带的防火墙,在连接中发现在防火墙上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqQaeM.html" rel="bookmark" class="title">层层递进Struts1（八）之总结</a>
					<div>
						先来看一下Struts1学习总结的思维导图,画的主要是Struts1中的重点和博客分布,如下所示: 系列博客的侧重点是: Struts1是什么? 为什么要使用它? 如何使用Struts1? Strut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO4W6b.html" rel="bookmark" class="title">MS SQL基础教程：合并复制</a>
					<div>
						合并复制的概述 也许读者对下面的实际例子并不陌生,在某一大型企业的分销系统中,销售经理或一些销售骨干人员经常要外出处理业务,将签订的合同通过手边的笔记本电脑传递到总部销售信息数据库.在这一例子中有两个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOQdWM.html" rel="bookmark" class="title">linux shell&plus;vim处理不同数据库文本之间的转换</a>
					<div>
						还是之前那个XENIX系统,作为某地公安部门的户籍查询与管理系统,记录的 是50多万人口的基本信息.这套系统是1989年开发的,当时并未用标准的数据库 理念设计(未设计兼容性),只允许查询,打印,或生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaBmZM.html" rel="bookmark" class="title">怎样使用wps表格快速生成用户名和密码</a>
					<div>
						  使用wps表格快速生成用户名和密码的方法 1.首先,新建一个工作簿,在sheet1中输入各列标题及其他信息. 2.接下来,就要来生成用户名列和密码啦!单击D2格,在英文半角状态下输入&quot;= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2WGEM.html" rel="bookmark" class="title">MySQL中使用自定义变量 编写偷懒的UNION示例</a>
					<div>
						以下是对MySQL中使用自定义变量,编写一个UNION的示例进行了详细的介绍,需要的朋友可以过来参考下   (参考自&lt;&lt;高性能MySQL&gt;&gt;) 假设有这样的需求:写一个UNIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Qn2b.html" rel="bookmark" class="title">win8系统电脑如何使用自带的压缩软件功能</a>
					<div>
						  win8系统电脑如何使用自带的压缩软件功能 1.首先是压缩文件,我们经常会把一类有关联的文件同意整理到一起,这时再打个包就能便于管理而且体积也会变小.选中我们想要打包的文件,也可以是多个文件,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1vWAz.html" rel="bookmark" class="title">Win7开机提示group policy client服务未能登陆解决方法</a>
					<div>
						不知道大家有没有跟小编一样遇到过Win7系统开机提示&quot;group policy client服务未能登陆.拒绝访问.&quot;如下图: 不要着急,下面就是解决方法(通过在注册表里设置解决) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBm7Lz.html" rel="bookmark" class="title">javascript实现图像循环明暗变化的方法</a>
					<div>
						 这篇文章主要介绍了javascript实现图像循环明暗变化的方法,实例分析了javascript操作css样式的技巧,具有一定参考借鉴价值,需要的朋友可以参考下 本文实例讲述了javascript实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGqL8p.html" rel="bookmark" class="title">影响笔记本使用寿命的主要因素是什么&quest;</a>
					<div>
						  对于一些刚刚购买笔记本电脑的用户来讲,很在乎笔记本电脑的电池使用率,是否可以满电充电使用,是否需要用完电池再充电,怎么样才能保证电池的寿命呢? 太长不看版 锂电池不需要用到没电再充电. 前几次充电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ymEb.html" rel="bookmark" class="title">光驱的基本知识</a>
					<div>
						  一.光驱的基础知识 谈如何挑选优秀的光驱之前,先要了解有关光驱的一些概念.首先我说说什么是 CLV 和 CA V 光盘和硬盘的工作方式有很大的不同,硬盘的盘片是被分成许多同心圆,这些同心圆成为磁道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z720aZp.html" rel="bookmark" class="title">怎么禁止本地设备被远程访问？</a>
					<div>
						  现在很多路由器.摄像头.打印机及其他硬件设备都可以独自链接到互联网上,这就增加了被远程访问的隐患.如何彻底杜绝个人隐私被外部侵犯,确保你的设备与互联网安全隔离开?下面小编就为大家介绍如何杜绝本地设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYVZkM.html" rel="bookmark" class="title">控制一台服务器向另外一台服务器复制文件</a>
					<div>
						问题描述 控制一台服务器向另外一台服务器复制文件 具体是这样的,就是些一个控制台程序,从一个服务器的某个地方拷贝一个文件到另外一个服务器,应该怎样实现,如果太烦琐的话,请给我思路.谢谢 解决方案 控制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6KG7z.html" rel="bookmark" class="title">封装-java中 关于成员变量public权限的意义</a>
					<div>
						问题描述 java中 关于成员变量public权限的意义 类为了封装 应该都已经讲成员变量设为private权限了 那public的意义是什么 好像看过一本c++的书 说语言发明者仅仅是为了操作简单  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAdlGM.html" rel="bookmark" class="title">追MM之原型模式实现</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dba10g.blog.51cto.com/764602/229578 跟MM用Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAjmKM.html" rel="bookmark" class="title">注意！Riddle漏洞正在影响低版本Oracle MySQL，请立即更新！</a>
					<div>
						本文讲的是注意!Riddle漏洞正在影响低版本Oracle MySQL,请立即更新!,近日,安全专家研究发现,MySQL 5.5.5.6客户端存在Riddle漏洞,允许攻击者使用MiTM(man-in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydaG5b.html" rel="bookmark" class="title">Eclipse插件开发，Treeviewer 绑定数据</a>
					<div>
						问题描述 Eclipse插件开发,Treeviewer 怎么绑定数据,怎么和DataModelProvider相结合,使用DataModelProvider 有绑定其他控件的方法:如Text文本控件s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdReDmb.html" rel="bookmark" class="title">基于RTP的H264视频数据打包解包类</a>
					<div>
						from:http://blog.csdn.net/dengzikun/article/details/5807694 最近考虑使用RTP替换原有的高清视频传输协议,遂上网查找有关H264视频RTP打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBB7az.html" rel="bookmark" class="title">JavaScript中的私有成员&lowbar;javascript技巧</a>
					<div>
						JavaScript是世界上是被误解得最厉害的编程语言.有些人认为它不具备&quot;信息隐藏&quot;的能力,因为JavaScript的对象没有私有变量和方法.这是误解.JavaScript对象可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn8mWM.html" rel="bookmark" class="title">flash&plus;C&num;&comma;FLASH变量为什么不能调用XML值&comma;求解</a>
					<div>
						问题描述 右击.swf文件,它是正常能够显示flash,并且能够调用.xml文件,当我用C#调用时它只能显示flash,但这时的flash不能引用.xml文件引用flash代码&lt;objectcl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xEmab.html" rel="bookmark" class="title">spring&plus;struts&plus;hibernate问题</a>
					<div>
						问题描述 严重: action: nullorg.springframework.beans.factory.BeanDefinitionStoreException: Error registeri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M127njp.html" rel="bookmark" class="title">使用viewpager，fragment底栏导航，新的fragment替换旧的fragment</a>
					<div>
						问题描述 使用viewpager,fragment底栏导航,新的fragment替换旧的fragment 主activity public class MyActivity extends Fragm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjxk0M.html" rel="bookmark" class="title">浅析网络创业</a>
					<div>
						&quot;情之为物,本是如此,入口甘甜,回味苦涩,而且遍身是刺,你就算小心万分,也不免为其所伤.多半因为这花儿有这几般特色,人们才给它取上这个名儿&quot; &quot;情花的刺上有毒.大凡一人动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqQnWp.html" rel="bookmark" class="title">mysql5&period;7&period;12开启二进制日志失败的问题</a>
					<div>
						问题描述 mysql5.7.12开启二进制日志失败的问题 本人菜鸟,打算了解一下mysql日志部分,可是按照文档,却出现了问题.求指教.mysql版本5.7.12,ubuntu 16.04 LTS,内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLPXdM.html" rel="bookmark" class="title">PHP程序员常犯的11个错误</a>
					<div>
						1.使用myisam而不是innodb mysql教程有很多数据库教程引擎,但是你最可能碰到的就是myisam和innodb. mysql默认使用的是myisam.但是,很多情况下这都是一个很糟糕的选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYNGqb.html" rel="bookmark" class="title">JS实现在Repeater控件中创建可隐藏区域的代码&lowbar;javascript技巧</a>
					<div>
						由于web应用的规模不断增大,数据也越来越多了,有时候,由于在一个页面同时显示的数据太多,从而造成页面的不美观,用户因此也会感到厌倦和操作困难.因此,本文将介绍利用repeater控件的隐藏区域,以达 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
